 //----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : 1.5 INCH OLED  128RGB*128 DOTS
// Lanuage   : C51 Code
// Create    : JAVEN LIU
// Date      : 2019-12-10
// Drive IC  : SSD1351 
// INTERFACE : LCD 4 WRIE SPI 
// MCU 		 : STC12LE5C60S2
//----------------------------------------------------------------------

#include <stc12c5a.h>
#include <stdio.h>
#include <intrins.h>
#include<SSD1351.h>
#include<SD.h>


//============================================================
//Main 	
main()
{
 unsigned char  num; 		  
 unsigned long j;  
  unsigned int i=0;
  unsigned long AddTemp;//SD card first address . Use Win HXE software check physical addresses.  SD CARD is different, the address is different yet.

   					
  	IE=0x81;
	IP=0x01;
	TCON=0x01;
	int0=1;

 	P1=0xff;
 	P2=0xff;
 	P3=0xff;
 	P0=0xff;
	Initial();
	SdInit();         //SD Initial
while(1)
 {
	dispBmp(pic);
	Delay(3);

	ColorSet(0xf800);	//red
	Delay(3);
	ColorSet(0x07e0);	//green
	Delay(3);
	ColorSet(0x001f);  	//blue
	Delay(3);
	ColorSet(0xffff);	//white
	Delay(3);
	ColorSet(0x07ff);	//lightblue
	Delay(3);
	ColorSet(0xffe0);	//yellow
	Delay(3);
	ColorSet(0xf81f);	//pink
	Delay(3);
	ColorSet(0x0000);  	//black
	Delay(3);
	Display1();
	Delay(3);
	Display2();
	Delay(3);	 

		   AddTemp=1462272;
			num=6;		//picture number
		 while(num--)
		 {
		  	ComWrite(0x15); //set column
			DataWrite(0x00);
			DataWrite(0x7f);
			ComWrite(0x75); //set row
			DataWrite(0x00);
			DataWrite(0x7f);
			ComWrite(0x5c);  //Enable MCU to write Data into RAM
		 for(j=0;j<64;j++)   //A picture contains 64 x512 bytes data
		    {
		    SdReadBlock(DATA,AddTemp+(j*512),512);//One time read 512 byte to buffer 
		    for(i=0;i<256;i++)                    //Write buffer data to display.one dots tow byte .512/2=256 dots
			   {   
		   	   DataWrite(DATA[2*i]);
			   DataWrite(DATA[2*i+1]); 	
		       }
		     } 
		     AddTemp = AddTemp+((j+0)*512);        // 20 This value is not data area, SD Card is different, this value, there may be different. Use Win HXE software check the value.
		     Delay(3);                     //Press the STOP button,display next picture
		
			 
		 } 
 }


}


